/* Search QA fixes */
.search-overlay .nav predictive-search input {
  font-size: var(--text-md);
  line-height: var(--line-height-text-md);
  color: var(--saysky-black);
  padding: 16px 50px 14px;
}

.search-overlay .nav predictive-search {
  border: unset;
}
.search-overlay .nav {
  border-bottom: none;
}

predictive-search {
  form {
    border-bottom: 1px solid var(--saysky-grey) !important;
  }
}

#predictive-search-results {
  .ProductItem__Info {
    padding: 10px;
  }
.grid-search-results {
  gap: 5px;
}
  .ProductItem__Wrapper {
    [button-wishlist] {
      padding: 10px;
    }
  }

  .ProductItem__Header {
    gap: 10px;
  }
}

#predictive-search-results-wrapper .predictive-search-link-wrapper .Button--primary:hover::before {
  background-color: var(--light-grey);
}

@media (max-width: 767px) {
  #predictive-search-results {
    .grid-search-results {
      row-gap: 25px;
      column-gap: 6px;
    }
  } 
  .ProductItem__Sizes.show-variants-on-product-image {
    right: 6px;
  }
  .ProductItem__Wrapper [button-wishlist] {
    padding: 8px !important;
  }

  .search-overlay .nav predictive-search {
    .search-icon {
      left: 3px;
    }
    input {
      font-size: var(--text-lg);
      line-height: var(--line-height-text-lg);
      padding: 16px 40px 14px;
    }
  }

}

/* Shop switcher QA fixes */
.shop-switcher-desktop {
  .Popover {
    z-index: 1000;
  }
}

/* Homepage QA fixes */
.ImageHero__ContentOverlay {
  .SectionHeader__ButtonsContainer .SectionHeader__ButtonWrapper {
    margin: 0 5px !important;
  }
}

.FeaturedCollections {
  .FeaturedCollections__Header {
    .section-header-content {
      color: var(--saysky-black);
    }

    .TabList__Item:after {
      bottom: 0;
    }

    .SectionHeader__TabList.TabList .TabList__Item {
      padding-bottom: 0;
    }
  }

  .SectionHeader .button-row {
    color: var(--saysky-black);
  }
}

@media (max-width: 767px){
  .ImageHero__ContentOverlay {
    .SectionHeader__ButtonsContainer .SectionHeader__ButtonWrapper {
      margin: 0 !important;
    }
  }
}

.FlexboxIeFix {
  .ImageHero__Container {
    background: #0000001A;
  }
}

.CollectionList--grid .Carousel__Cell {
  .CollectionItem__Wrapper::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(180.66deg, rgba(0, 0, 0, 0) 67.07%, rgba(0, 0, 0, 0.3) 87.86%);
    z-index: 1;
    pointer-events: none;
  }

  .Carousel__Button-row {
    gap: 15px;
  }  
}

.ProductItem__Wrapper .SwatchWrapper [data-color="HVID"] {
  border: 1px solid var(--saysky-grey);
}

.ProductItem__ColorSwatchItem.is-active {
  border-color: var(--saysky-grey);
}

.ProductMeta .ProductItem__ColorSwatchItem.is-active {
  border-color: #1c1b1b;
}

.ProductItem__ColorSwatchList {
  display: flex;
  flex-wrap: wrap;
  align-items: start;
}

.ProductItem__ColorSwatchItem--more {
  font-size: var(--text-sm);
  color: var(--saysky-black);
  line-height: 16px; 
}

.ProductItem__Info.ProductItem__Info--left {
  padding: 10px 12px; 
  flex: 1;
}

  .ProductList--grid {
    padding: 0;
    
  }
  .CollectionInner {
    margin-top: 0;
  }

.ProductItem__Title a {
  font-size: var(--text-base);
  line-height: var(--line-height-text-base);
  font-weight: var(--font-regular);
}

.ProductItem__Price {
  font-size: var(--text-base);
  line-height: var(--line-height-text-base);
  white-space: nowrap;
  font-weight: 400;
}

.ProductItem__Price.Price--compareAt {
  margin-right: 0 !important;
}

.ProductItem__ColorString {
  font-size: var(--text-base);
  line-height: var(--line-height-text-base);
  text-transform: capitalize !important;
  color: var(--saysky-black);
}

.ProductItem__Sizes .size-variant-unavailable {
  text-decoration: none !important;
  position: relative;
}

.ProductItem__Sizes .size-variant-unavailable:before {
  position: absolute;
  content: '';
  width: 100%;
  height: 1px;
  background: #fff;
  top: 47%;
}

.ProductItem__Wrapper {
  .ProductItem__Sizes {
    display: flex;
    gap: 5px;

    bottom: 8px;
    right: 12px;
    .size-variant, .size-variant-unavailable {
      margin: 0;
    }
  }
  .ProductItem__Info.ProductItem__Info--left {
    padding: 10px 12px 0;
  }

  .ProductItem__Header {
    gap: 10px;
  }
  .ProductItem__Title, .ProductItem__Price {
    font-size: var(--text-base);
    line-height: var(--line-height-text-base);
    font-weight: 400;
  }

  .ProductItem__ColorString {
    font-size: var(--text-base);
    line-height: var(--line-height-text-base);
    text-transform: capitalize;
  }

  .ProductItem__PriceList-mobile {
    display: none;
  } 
}

@media screen and (min-width: 760px) {
  span.ProductItem__Price.Price.Price--noDiscount.Text--subdued {
    display: flex;
    flex-wrap: wrap;
  }
}

@media screen and (max-width: 640px) {
  .ProductList--grid>.Grid__Cell {
    padding-left: 6px !important;
    margin-bottom: 12px !important;
  }

  .ProductItem__Info {
    /* padding: 8px 8px 0 !important; */

    .ProductGridItem__ColorSwatchImage {
      width: 11px;
      height: 11px;
    }
    .ProductItem__ColorSwatchItem {
      width: 15px;
      height: 15px;
    }

  }
  .ProductItem__Wrapper .ProductItem__Sizes {
    bottom: 6px !important;
    right: 8px;
    gap: 3px;
  }

  .ProductItem__PriceList-mobile {
    display: block !important;
    margin-top: 4px;

    .ProductItem__Price {
      font-size: var(--text-base);
      color: var(--saysky-black);
    }
  }

  .ProductItem__ColorString {
    padding-top: 0 !important;
  }

  .ProductItem__ColorSwatchList {
    margin-top: 8px;
  }

  .ProductItem__PriceList-desktop {
    display: none;
  }
}

.ProductItem__InitialImage {
  position: absolute !important;
  top: -1px;
  right: -1px;
  bottom: -1px;
  left: -1px;
  z-index: 3;
}

.ProductItem__HoverImages {
  position: absolute !important;
  top: -1px;
  right: -1px;
  bottom: -1px;
  left: -1px;
  width: auto;
  height: auto;
  overflow: hidden;
  padding-bottom: 125%;
}

.Upsell__Cart .ProductItem__HoverImages {
  right: 0 !important;
  bottom: 0 !important;
  left: 0 !important;
}

.Upsell__Cart .ProductItem__HoverImages .AspectRatio--tall > img {
  left: 0 !important;
  top: 0 !important;
  transform: unset !important;
}

.ProductItem__HoverImages.flickity-enabled {
  display: block;
}

.ProductItem__HoverImages .flickity-viewport {
  /* height: 400px !important; */
}

.ProductItem__HoverImages .flickity-viewport .carousel-cell {
  width: 100%;
}

@media (-moz-touch-enabled: 0), (hover: hover) {
  .ProductItem__ImageWrapper--withAlternateImage:hover .ProductItem__HoverImages {
    display: block;
  }

  .ProductItem__ImageWrapper--withAlternateImage:hover .ProductItem__HoverImages .ProductItem__Image {
      opacity: 1 !important;
  }
}

.ProductItem__HoverImages__Arrows {
  position: absolute !important;
  top: -1px;
  right: -1px;
  bottom: -1px;
  left: -1px;
  width: auto;
  height: auto;
  z-index: 2;
  color: var(--white) !important;

  opacity: 0;
  transition: all 150ms ease;
  pointer-events: none;
}

@media screen and (min-width: 1008px) {
  .ProductItem__HoverImages__Arrows .button--previous {
    position: absolute;
    left: 0;
    top: 50%;
    height: 30px;
    width: 30px;
    pointer-events: auto;
    svg {
      height: 10px;
    }
  }
  
  .ProductItem__HoverImages__Arrows .button--next {
    position: absolute;
    right: 0;
    top: 50%;
    height: 30px;
    width: 30px;
    pointer-events: auto;
    svg {
      height: 10px;
    }
  }

  @media (-moz-touch-enabled: 0), (hover: hover) {    
    .ProductItem__ImageWrapper--withAlternateImage:hover .ProductItem__HoverImages__Arrows {
      opacity: 1;
    }
  }
}

/* Recomended products */
#shopify-section-complementary-products,
#shopify-section-related-products,
#shopify-section-product-recommendations {
  .Section__ProductRecommendations{
    padding: 40px 0;
  }

  .ProductRecommendations__Header {
    display: flex;
    justify-content: space-between;
    align-items: end;
    padding-inline: 12px;
    margin-bottom: 30px;
    color: var(--saysky-black);
    .Container {
      padding: 0;
      margin: 0;
      h3 {
        line-height:var(--line-height-text-base);
        font-size: var(--text-2xl)!important;
      }
    }

    .button-row {
      display: flex;
      gap: 20px;
      margin-bottom: -6px;
      svg {
        height: 14px;
        width: auto;
        stroke-width: 1px;
      }
    }

  }
  /* Product Recommendations Responsive Layout */
  .ProductListWrapper--mobile { 
    display: none; 
  }
  
  .ProductListWrapper--desktop { 
    display: block; 
  }
}


@media (max-width: 1007px) {
  #shopify-section-complementary-products,
  #shopify-section-related-products,
  #shopify-section-product-recommendations {
    .ProductListWrapper--desktop { 
      display: none !important; 
    }

    .ProductRecommendations__Header {
      margin-bottom: 15px;
      margin-bottom: 15px;
    }

    .ProductListWrapper--mobile { 
      display: block !important; 
    }

    .ProductList--grid-mobile {
      display: grid;
      grid-template-columns: 1fr 1fr;
      row-gap: 25px;
      column-gap: 6px;
      position: relative;
    }
    
    .button-row {
      display: none !important;
    }

    .ProductList--grid-mobile .Grid__Cell {
      margin-bottom: 24px;
    }

    .ProductRecommendations__hidden-mobile {
      visibility: hidden !important;
      opacity: 0 !important;
      height: 0 !important;
      overflow: hidden !important;
      margin: 0 !important;
      padding: 0 !important;
      position: absolute !important;
      pointer-events: none !important;
    }
    .ProductList__ShowMore__Wrapper {
      display: flex;
      justify-content: center;
      
      .ProductList__ShowMore,
      .ProductList__ShowLess {
        background-color: var(--white);
        color: var(--saysky-black);
        border: 1px solid var(--saysky-grey);
        padding: 12px 30px 10px;
        height: fit-content;
        margin-top: 20px;
      }

      /* .ProductList__ShowMore {
        margin-top: -55px;
      }
      .ProductList__ShowLess {
      } */

      .ProductList__ShowMore::before,
      .ProductList__ShowLess::before {
        background-color: var(--white);
      }
    }
  }
}

.product-grid-item-placeholder {
  display: inline-block;
  padding-top: 33.76%;
  height: 0;
  position: relative;
  overflow: hidden;
  scroll-snap-align: start;
}

@media (max-width: 767px) {
  .product-grid-item-placeholder {
    padding-top: 79.76%;
  }
}

.product-grid-item-placeholder-inner {
  position: absolute;
  top: 0;
  left: 6px;
  width: 100%;
  height: 100%;
  background: #F6F6F6;
}

/* flickity collection list */
@media screen and (min-width: 750px) and (max-width: 949px) {
  /* 3 + 4 cell - Both shows 2 cells per row */
  .ProductList--carousel[data-cells-per-view="3"] .Carousel__Cell,
  .ProductList--carousel[data-cells-per-view="4"] .Carousel__Cell {
    width: calc(45% - 4px);
  }
}

@media screen and (min-width: 950px) {
  /* 3 cells per view */
  .ProductList--carousel[data-cells-per-view="3"] .Carousel__Cell {
    width: calc(30% - 4px);
  }

  /* 4 cells per view */
  .ProductList--carousel[data-cells-per-view="4"] .Carousel__Cell {
    width: calc(28% - 4px);
  }
}

@media screen and (min-width: 1150px) {
  /* 4 cells per view */
  .ProductList--carousel[data-cells-per-view="4"] .Carousel__Cell {
    width: calc(25% - 4px);
  }
}

/* Changes to paddig on Image with text overlay section */
.ImageTextOverlayLinkSection {
  .SectionHeader {
    margin-bottom: 0;

    .SectionHeader__ButtonWrapper {
      line-height: 0;
    }
  }

  .ImageHero__Container.topLeft {
    padding: 50px 15px 30px;
  }
  .ImageHero__Container.topRight {
    padding: 50px 15px 30px;
  }
  .ImageHero__Container.topCenter {
    padding: 50px 15px 30px;
  }

  .ImageHero__Container.bottomLeft {
    padding: 30px 15px 40px;
  }
  .ImageHero__Container.bottomRight {
    padding: 30px 15px 40px;
  }
  .ImageHero__Container.bottomCenter {
    padding: 30px 15px 40px;
  }

  @media screen and (max-width: 767px) {
    .ImageHero__Container.topLeft {
      padding: 40px 15px 30px;
    }
    .ImageHero__Container.topRight {
      padding: 40px 15px 30px;
    }
    .ImageHero__Container.topCenter {
      padding: 40px 15px 30px;
    }

    .ImageHero__Container.bottomLeft {
      padding: 30px 15px;
    }
    .ImageHero__Container.bottomRight {
      padding: 30px 15px;
    }
    .ImageHero__Container.bottomCenter {
      padding: 30px 15px;
    }
  }
}

.b2b-theme .PageHeaderSecond-text {
  margin-bottom: 0;
}

.Header__SecondaryNav.isB2B {
  margin: 0;

  .HorizontalList__Item {
    margin: 0;

    .SelectButton {
      font-size: 14px;
      line-height: 100%;
      font-weight: 700;
      color: var(--saysky-black);
    }
  }
}

.b2b-theme .MegaMenu__Inner .MegaMenu__Item {
  width: fit-content;
}

.Button {
  line-height: 100%;
}